Skip to content

insertSalesInvoice

DESTRUCTIVE

Insert sales invoice.

POST /api/v1/invoicing/insertSalesInvoice
curl -X POST '<your-host>/api/v1/invoicing/insertSalesInvoice' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "customerId": "string"
  }'
Response
{
  "id": "string",
  "invoiceId": "string"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "customerId": {
      "type": "string"
    },
    "invoiceId": {
      "type": "string"
    },
    "customerReference": {
      "type": "string"
    },
    "paymentTermId": {
      "type": "string"
    },
    "currencyCode": {
      "type": "string"
    },
    "locationId": {
      "type": "string"
    },
    "invoiceCustomerId": {
      "type": "string"
    },
    "invoiceCustomerContactId": {
      "type": "string"
    },
    "invoiceCustomerLocationId": {
      "type": "string"
    },
    "dateIssued": {
      "type": "string"
    },
    "dateDue": {
      "type": "string"
    },
    "exchangeRate": {
      "type": "number"
    },
    "exchangeRateUpdatedAt": {
      "type": "string"
    },
    "customFields": {}
  },
  "required": [
    "customerId"
  ]
}